experiments.droneControl

## Class AgentSensibility

- java.lang.Object
- - experiments.droneControl.AgentSensibility

    public class AgentSensibility
    extends java.lang.Object

The Class AgentSensibility.

### Constructor Summary

Constructors
Constructor and Description
`AgentSensibility()` Instantiates a new agent sensibility.
`AgentSensibility(int nbrOfPerceptions, java.lang.String name, int memorySize)` Instantiates a new agent sensibility.

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getConfidence()` Gets the confidence.
`double` `getGlobalConfidence()` Gets the global confidence.
`int` `getHighestSensibilityIndice()` Gets the highest sensibility indice.
`java.lang.String[]` `getSensibility()` Gets the sensibility.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getSensibilityValues()` Gets the sensibility values.
`void` `plotSensibility()` Plot sensibility.
`java.lang.String[]` `sortSensibility()` Sort sensibility.
`void` `stopWriting()` Stop writing.
`void` `update(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, double action, double beta, double[] normalizingTerm)` Update.
`void` `updateSensibilityLocalNormalizingTerms(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations, java.lang.Double action)` Update sensibility local normalizing terms.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AgentSensibility

    public AgentSensibility()

Instantiates a new agent sensibility.

#### AgentSensibility

    public AgentSensibility(int nbrOfPerceptions,
                            java.lang.String name,
                            int memorySize)

Instantiates a new agent sensibility.

Parameters:
  `nbrOfPerceptions` - the nbr of perceptions
  `name` - the name
  `memorySize` - the memory size

### Method Detail

#### update

    public void update(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                       double action,
                       double beta,
                       double[] normalizingTerm)

Update.

Parameters:
  `perceptVariations` - the percept variations
  `action` - the action
  `beta` - the beta
  `normalizingTerm` - the normalizing term

#### updateSensibilityLocalNormalizingTerms

    public void updateSensibilityLocalNormalizingTerms(java.util.HashMap<java.lang.String,java.lang.Double> perceptVariations,
                                                       java.lang.Double action)

Update sensibility local normalizing terms.

Parameters:
  `perceptVariations` - the percept variations
  `action` - the action

#### plotSensibility

    public void plotSensibility()

Plot sensibility.

#### sortSensibility

    public java.lang.String[] sortSensibility()

Sort sensibility.

Returns:
  the string[]

#### getConfidence

    public double getConfidence()

Gets the confidence.

Returns:
  the confidence

#### getGlobalConfidence

    public double getGlobalConfidence()

Gets the global confidence.

Returns:
  the global confidence

#### getSensibility

    public java.lang.String[] getSensibility()

Gets the sensibility.

Returns:
  the sensibility

#### getSensibilityValues

    public java.util.HashMap<java.lang.String,java.lang.Double> getSensibilityValues()

Gets the sensibility values.

Returns:
  the sensibility values

#### getHighestSensibilityIndice

    public int getHighestSensibilityIndice()

Gets the highest sensibility indice.

Returns:
  the highest sensibility indice

#### stopWriting

    public void stopWriting()

Stop writing.